var bvpApplyTemplate = function(ev) {
	var comment = $("textarea[name=comment]").first();
	if (comment.data('changed')) {
		if(!confirm("This will overwrite your changes in the description. Continue?")) return;
	}
	comment.val($(ev.target).data('template').content).data('changed', false)
}

var bvpInitTemplates = function() {
	if (BVP_TEMPLATES == undefined || BVP_TEMPLATES.length == 0) return;
	var tlist = $("<ul style='display:none'>")
		.addClass("bvp_template_list")
		.append($("<li>").text("Templates:"))
	BVP_TEMPLATES.forEach(function(t) {
		tlist.append(
			$("<li>").addClass("bvp_template")
				.text(t.name)
				.attr("title", t.description)
				.attr("id", 'bvp_t_' + t.id)
				.data("template", t)
				.click(bvpApplyTemplate)
		)
	});

	if($("textarea[name=comment]")[0].textLength > 0)
		return;

	$("textarea[name=comment]").first()
		.data('changed', false)
		.change(function(){$(this).data('changed', true)});
	$("#comment_tabs").append(tlist);

}

$(bvpInitTemplates);

